[![Build Status](https://travis-ci.org/bitctrl/de.bsvrz.dua.mwelve.svg?branch=master)](https://travis-ci.org/bitctrl/de.bsvrz.dua.mwelve)
[![Build Status](https://api.bintray.com/packages/bitctrl/maven/de.bsvrz.dua.mwelve/images/download.svg)](https://bintray.com/bitctrl/maven/de.bsvrz.dua.mwelve)

# Segment 4 Datenübernahme und Aufbereitung (DUA), SWE 4.5 Messwertersetzung LVE

## Übersicht

Aufgabe der SWE Messwertersetzung LVE ist es, alle empfangenen Kurzzeitdatensätze einer
formalen und logischen Plausibilisierung zuzuführen. Die aus diesen Plausibilisierungsstufen
als Implausibel hervorgegangenen Attributwerte werden dann einer Messwertersetzung unterzogen.
Eine genaue Beschreibung der Ersetzungsmethoden erfolgt in [AFo]. Nach dieser Prüfung bzw.
Ersetzung werden die Daten nochmals logisch und formal geprüft und unter dem Aspekt
asp.messWertErsetzung publiziert.

## Abhängigkeiten

```mermaid
graph TD;
mwelve["mwelve (2.1.0)"]-->plloglve["plloglve (2.1.0)"];
plloglve["plloglve (2.1.0)"]-->guete["guete (2.1.0)"];
guete["guete (2.1.0)"]-->funclib.bitctrl.dua["funclib.bitctrl.dua (2.0.0)"];
plloglve["plloglve (2.1.0)"]-->plformal["plformal (2.1.0)"];
plformal["plformal (2.1.0)"]-->funclib.bitctrl.dua["funclib.bitctrl.dua (2.0.0)"];
```

## Bemerkungen

Diese SWE ist eine eigenständige Datenverteiler-Applikation, welche über die Klasse
de.bsvrz.dua.mwelve.VerwaltungMessWertErsetzungLVE mit folgenden Parametern gestartet werden kann
(zusaetzlich zu den normalen Parametern jeder Datenverteiler-Applikation):
	-KonfigurationsBereichsPid=pid(,pid)

Der Datenfluss durch diese Applikation ist wie folgt:
externe Erfassung
	--> formale Prüfung (Publikation asp.plPrüfungFormal)
		-->	logische Prüfung (Publikation unter asp.plPrüfungLogisch)
			--> Messwertersetzung
				--> formale Prüfung
					-->	logische Prüfung (Publikation unter asp.messwertErsetzung)

## Kontakt

BitCtrl Systems GmbH
Weißenfelser Straße 67
04229 Leipzig
Phone: +49 341-490670
mailto: info@bitctrl.de
